#!/usr/bin/gnuplot

M_S = 1.989e30
M_E = 5.972e24
R_E = 6378.e3

dt = 0.314159
P = 20*dt

f(t) = t/P
g(m) = m*M_S/M_E * 4.0
t0 = 8500.

load "config.plt"
set out "xy.eps"

set xl "{/Helvetica-Oblique x} [au]"
set yl "{/Helvetica-Oblique y} [au]"

tmp=2.0
set xr [-tmp:tmp]
set yr [-tmp:tmp]
set size ratio -1
set zeroaxis
set key at graph 0.95,graph 0.95

p \
  "<head -5 ../out/output_0.694.txt | awk '($1==1)' | ./ellipse.awk" w l t "1" ls 1,\
  "<head -5 ../out/output_0.694.txt | awk '($1==2)' | ./ellipse.awk" w l t "2" ls 2,\
  "<head -5 ../out/output_0.694.txt | awk '($1==3)' | ./ellipse.awk" w l t "3" ls 3,\
  "<head -5 ../out/output_0.694.txt | awk '($1==4)' | ./ellipse.awk" w l t "4" ls 4,\
  "<head -5 ../out/output_0.694.txt | awk '($1==5)' | ./ellipse.awk" w l t "5" ls 5,\
  "<tail -5 ../out/output_0.694.txt | awk '($1==1)' | ./ellipse.awk" w l not   ls 1 dt 2,\
  "<tail -5 ../out/output_0.694.txt | awk '($1==2)' | ./ellipse.awk" w l not   ls 2 dt 2,\
  "<tail -5 ../out/output_0.694.txt | awk '($1==3)' | ./ellipse.awk" w l not   ls 3 dt 2,\
  "<tail -5 ../out/output_0.694.txt | awk '($1==4)' | ./ellipse.awk" w l not   ls 4 dt 2,\
  "<tail -5 ../out/output_0.694.txt | awk '($1==5)' | ./ellipse.awk" w l not   ls 5 dt 2,\

system "patch xy.eps config.diff"

q

  "<tail -5 ../mercury/out/nbody.orbits.dat | awk '($1==1)' | ./ellipse.awk" w l not   ls 1 dt 2,\
  "<tail -5 ../mercury/out/nbody.orbits.dat | awk '($1==2)' | ./ellipse.awk" w l not   ls 2 dt 2,\
  "<tail -5 ../mercury/out/nbody.orbits.dat | awk '($1==3)' | ./ellipse.awk" w l not   ls 3 dt 2,\
  "<tail -5 ../mercury/out/nbody.orbits.dat | awk '($1==4)' | ./ellipse.awk" w l not   ls 4 dt 2,\
  "<tail -5 ../mercury/out/nbody.orbits.dat | awk '($1==5)' | ./ellipse.awk" w l not   ls 5 dt 2,\
